Skip to navigation

Update a load balancer rule

Authentication

X-API-Client-IDstring
API Client ID
X-API-Client-Secretstring
API Client Secret

Path parameters

ruleIdstringRequired
ID of the load balancer rule

Request

This endpoint expects an object.
namestringOptional
New name for the rule.
algorithmenumOptional
New algorithm used to distribute traffic.
Allowed values:
descriptionstringOptional
New description for the rule.
protocolstringOptional
New protocol the load balancer accepts.
sourceCidrListstringOptional
New source CIDR allowed to reach the load balancer.

Response

Load balancer rule updated
idstringformat: "uuid"
Unique identifier for the load balancer rule.
namestring

Human-readable name for the rule.

publicPortinteger
Public port the load balancer listens on.
privatePortinteger
Port on the backend VMs that traffic is forwarded to.
algorithmstring
Algorithm used to distribute traffic across the backend VMs.
protocolstring
Protocol the load balancer accepts.
statestring
Current lifecycle state of the rule.
ipAddressIdstringformat: "uuid"
Identifier of the public IP the rule is attached to.
ipAddressstringformat: "ipv4"
Public IP address the rule is attached to.
networkIdstringformat: "uuid"
Identifier of the network the rule is associated with.
sourceCidrListstringOptional
Source CIDR allowed to reach the load balancer.
createdAtdatetimeOptional
When the rule was created.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error
500
Internal Server Error